Get Pm Job Report

Get Pm Job Report

Query existing Performance Management Job reports

Request
URI
GET
https://{api_host}/hybridity/api/vnfpm/v1/pm_jobs/{pmJobId}/reports/{reportId}
COPY
Path Parameters
string
pmJobId
Required

Performance Management Job Id

string
reportId
Required

Performance Management Job Report Id

Header Parameters
string
Accept-Language
Optional

Accept-Language


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns pmJobReport of type(s) application/json
{
    "reportId": "string",
    "objectId": "string",
    "objectType": "string",
    "reportName": "string",
    "link": "string",
    "creationTime": 0,
    "expirationTime": 0,
    "fileSize": "number",
    "status": "string",
    "errorMessage": "string",
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
string
reportId
Optional

reportId

string
objectId
Optional

objectId

string
objectType
Optional

objectType

string
reportName
Optional

reportName

string
link
Optional

link

integer As int64 As int64
creationTime
Optional

creationTime

integer As int64 As int64
expirationTime
Optional

expirationTime

number
fileSize
Optional

fileSize

string
status
Optional

status

Possible values are : PENDING, FAILED, AVAILABLE, EXPIRED,
string
errorMessage
Optional

errorMessage

array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors